Name:           libtermkey
Summary:        This library allows easy processing of keyboard entry from terminal-based programs
Version:        0.18
Release:        1%{?dist}
License:        MIT
Group:          System Environment/Libraries
URL:            https://github.com/neovim/%{name}/

Source0:        https://github.com/neovim/%{name}/archive/HEAD/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  ncurses-devel
BuildRequires:  pkgconfig


%description
This library allows easy processing of keyboard entry from terminal-based
programs. It handles all the necessary logic to recognise special keys, UTF-8
combining, and so on, with a simple interface.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -c %{name}-%{version}
mv %{name}*/.[a-z]* %{name}*/* .
rmdir %{name}*/


%build
%__make %{?_smp_mflags} \
    CFLAGS="%{optflags}" \
    INCDIR="%{_includedir}" \
    LIBDIR="%{_libdir}" \
    MANDIR="%{_mandir}"
    PREFIX="%{_prefix}" \


%install
%__make %{?_smp_mflags} \
    CFLAGS="%{optflags}" \
    DESTDIR="%{buildroot}" \
    INCDIR="%{_includedir}" \
    LIBDIR="%{_libdir}" \
    MANDIR="%{_mandir}" \
    PREFIX="%{_prefix}" \
    install

rm -vf %{buildroot}%{_libdir}/*.la


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%{_libdir}/libtermkey.so.*


%files devel
%defattr(-,root,root)
%{_includedir}/termkey.h
%{_libdir}/libtermkey.so
%{_libdir}/libtermkey.a
%{_libdir}/pkgconfig/termkey.pc
%{_mandir}/man3/termkey*
%{_mandir}/man7/termkey*


%changelog
* Sun Jul 24 2016 David Personette <dperson@gmail.com> - 0.18-1
- Initial package